Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: - Testing -
Created: 2011-12-20 Assigned To: Karsten Dambekalns
Updated: 2011-12-21 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.1
Subject: Unit tests fail with PHPUnit 3.6.5
Description

The very latest PHPUnit breaks our workaround for tests producing output. They output things because some warning is produced
and we so far did not use the shut-up operator.

It seems there is no way around this anymore, since the trick of using @outputBuffering seem to no longer work.

Associated revisions
Revision 38270b0d - 2011-12-20 22:51 - Karsten Dambekalns

[BUGFIX] Fix unit tests with PHPUnit 3.6.5 in strict mode

Change-Id: I5c8b692cc5a1c46fd20f9e794cdfc5ede74de27d
Fixes: #32738
Releases: 1.0, 1.1

Revision d5533b0b - 2011-12-21 15:06 - Karsten Dambekalns

[BUGFIX] Fix unit tests with PHPUnit 3.6.5 in strict mode

Change-Id: I382d0514a19945879a6ed440e86135f3d04b5d71
Fixes: #32738
Releases: 1.0, 1.1

History
#1 - 2011-12-20 22:51 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7456

#2 - 2011-12-21 10:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:38270b0d017279ee6d03441e00f740b18160a709.

#3 - 2011-12-21 15:06 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/7464

#4 - 2011-12-21 16:06 - Karsten Dambekalns
- Status changed from Under Review to Resolved

Applied in changeset commit:d5533b0bb05c88853df170a4b988984e459552c3.
